Index: /issm/trunk-jpl/externalpackages/boost/install-1.55-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.55-linux-static.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.55-linux-static.sh	(revision 24824)
@@ -10,5 +10,5 @@
 #
 export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
-export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost
+export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with MATLAB's Boost
 
 # Download source
Index: /issm/trunk-jpl/externalpackages/boost/install-1.55-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.55-linux.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.55-linux.sh	(revision 24824)
@@ -10,5 +10,5 @@
 #
 export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
-export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost
+export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with MATLAB's Boost
 
 # Download source
Index: /issm/trunk-jpl/externalpackages/boost/install-1.55-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.55-mac-static.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.55-mac-static.sh	(revision 24824)
@@ -39,5 +39,5 @@
 
 # Compile and install
-./bjam toolset=darwin link=static install
+./bjam link=static install
 
 # Copy binary to install directory
Index: /issm/trunk-jpl/externalpackages/boost/install-1.55-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.55-mac.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.55-mac.sh	(revision 24824)
@@ -39,5 +39,5 @@
 
 # Compile and install
-./bjam toolset=darwin install
+./bjam install
 
 # Copy binary to install directory
Index: /issm/trunk-jpl/externalpackages/boost/install-1.55-stallo.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.55-stallo.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.55-stallo.sh	(revision 24824)
@@ -24,5 +24,5 @@
 patch src/boost/mpl/aux_/config/adl.hpp ./configs/1.55/adl.hpp.patch
 
-#Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost
+#Setting CXXFLAGS to deal with C++11 incompatibility with MATLAB's Boost
 #export PATH="/usr/bin":$PATH
 export CXXFLAGS='-std=c++98'
Index: /issm/trunk-jpl/externalpackages/boost/install-1.7-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.7-linux-static.sh	(revision 24824)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.7-linux-static.sh	(revision 24824)
@@ -0,0 +1,43 @@
+#!/bin/bash
+#set -eu # Do not `run set -eu` because it causes some targets to fail
+
+
+## Constants
+#
+VER="1_73_0"
+
+## Envrionment
+#
+export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf boost_${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source into 'src' directory
+mv boost_${VER}/* src/
+rm -rf boost_${VER}
+
+# Configure
+cd src
+./bootstrap.sh \
+	--prefix="${BOOST_ROOT}/install" \
+	--with-python=python2.7
+
+# Modify project config to enable MPI
+printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
+
+# Compile and install
+./b2 link=static install
+
+# Remove any dynamic libraries that may have been compiled
+#
+# TODO: Reconfigure so that dynamic libraries are not compiled at all
+#
+rm -f $(find ${BOOST_ROOT}/install/lib -name *.so*)
Index: /issm/trunk-jpl/externalpackages/boost/install-1.7-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.7-linux.sh	(revision 24824)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.7-linux.sh	(revision 24824)
@@ -0,0 +1,37 @@
+#!/bin/bash
+#set -eu # Do not `run set -eu` because it causes some targets to fail
+
+
+## Constants
+#
+VER="1_73_0"
+
+## Envrionment
+#
+export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf boost_${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source into 'src' directory
+mv boost_${VER}/* src/
+rm -rf boost_${VER}
+
+# Configure
+cd src
+./bootstrap.sh \
+	--prefix="${BOOST_ROOT}/install" \
+	--with-python=python2.7
+
+# Modify project config to enable MPI
+printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
+
+# Compile and install
+./b2 install
Index: /issm/trunk-jpl/externalpackages/boost/install-1.7-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.7-mac-static.sh	(revision 24824)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.7-mac-static.sh	(revision 24824)
@@ -0,0 +1,43 @@
+#!/bin/bash
+#set -eu # Do not `run set -eu` because it causes some targets to fail
+
+
+## Constants
+#
+VER="1_73_0"
+
+## Environment
+#
+export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf boost_${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source into 'src' directory
+mv boost_${VER}/* src/
+rm -rf boost_${VER}
+
+# Configure
+cd src
+./bootstrap.sh \
+	--prefix=${BOOST_ROOT}/install \
+	--with-python=python2.7
+
+# Modify project config to enable MPI
+printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
+
+# Compile and install
+./b2 link=static install
+
+# Remove any dynamic libraries that may have been compiled
+#
+# TODO: Reconfigure so that dynamic libraries are not compiled at all
+#
+rm -f $(find ${BOOST_ROOT}/install/lib -name *.dylib)
Index: /issm/trunk-jpl/externalpackages/boost/install-1.7-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.7-mac.sh	(revision 24824)
+++ /issm/trunk-jpl/externalpackages/boost/install-1.7-mac.sh	(revision 24824)
@@ -0,0 +1,43 @@
+#!/bin/bash
+#set -eu # Do not `run set -eu` because it causes some targets to fail
+
+
+## Constants
+#
+VER="1_73_0"
+
+## Environment
+#
+export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
+
+# Download source
+$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf boost_${VER}.tar.gz
+
+# Cleanup
+rm -rf install src
+mkdir install src
+
+# Move source into 'src' directory
+mv boost_${VER}/* src/
+rm -rf boost_${VER}
+
+# Configure
+cd src
+./bootstrap.sh \
+	--prefix=${BOOST_ROOT}/install \
+	--with-python=python2.7
+
+# Modify project config to enable MPI
+printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
+
+# Compile and install
+./b2 install
+
+# Set install_name for all shared libraries
+cd ${BOOST_ROOT}/install/lib
+for name in *.dylib; do
+	install_name_tool -id ${BOOST_ROOT}/install/lib/${name} ${name}
+done
Index: sm/trunk-jpl/externalpackages/boost/install-1.72-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.72-linux-static.sh	(revision 24823)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#!/bin/bash
-#set -eu # Do not `run set -eu` because it causes some targets to fail
-
-
-## Constants
-#
-VER="1_72_0"
-
-## Envrionment
-#
-export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf boost_${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source into 'src' directory
-mv boost_${VER}/* src/
-rm -rf boost_${VER}
-
-# Configure
-cd src
-./bootstrap.sh \
-	--prefix="${BOOST_ROOT}/install" \
-	--with-python=python2.7
-
-# Modify project config to enable MPI
-printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
-
-# Compile and install
-./b2 link=static install
-
-# Remove any dynamic libraries that may have been compiled
-#
-# TODO: Reconfigure so that dynamic libraries are not compiled at all
-#
-rm -f $(find ${BOOST_ROOT}/install/lib -name *.so*)
Index: sm/trunk-jpl/externalpackages/boost/install-1.72-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.72-linux.sh	(revision 24823)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#!/bin/bash
-#set -eu # Do not `run set -eu` because it causes some targets to fail
-
-
-# NOTE:
-# - Stop after bootstrap step and run `b2 --debug-configuration` to figure
-#	out which paths Boost is using to include Python. Make sure that each of
-#	the listed paths is covered by Python. If not, you must create a symbolic
-#	link from $ISSM_DIR/externalpackages/python to the location of the file
-#	that Boost is expecting. There is no way to get the Boost to compile with
-#	Python otherwise.
-#
-
-## Constants
-#
-VER="1_72_0"
-
-## Envrionment
-#
-#export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost
-#export CXXFLAGS='-std=c++11'
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf boost_${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source into 'src' directory
-mv boost_${VER}/* src/
-rm -rf boost_${VER}
-
-# Configure
-cd src
-./bootstrap.sh \
-	--prefix="${ISSM_DIR}/externalpackages/boost/install" \
-	--with-python=python2.7 \
-	--with-python-root="${ISSM_DIR}/externalpackages/python/install"
-
-# Modify project config to enable MPI
-printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
-
-# Compile and install
-./b2 --toolset=gcc install
Index: sm/trunk-jpl/externalpackages/boost/install-1.72-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.72-mac-static.sh	(revision 24823)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#!/bin/bash
-#set -eu # Do not `run set -eu` because it causes some targets to fail
-
-
-## Constants
-#
-VER="1_72_0"
-
-## Environment
-#
-export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf boost_${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source into 'src' directory
-mv boost_${VER}/* src/
-rm -rf boost_${VER}
-
-# Configure
-cd src
-./bootstrap.sh \
-	--prefix=${BOOST_ROOT}/install \
-	--with-python=python2.7
-
-# Modify project config to enable MPI
-printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
-
-# Compile and install
-./b2 link=static install
-
-# Remove any dynamic libraries that may have been compiled
-#
-# TODO: Reconfigure so that dynamic libraries are not compiled at all
-#
-rm -f $(find ${BOOST_ROOT}/install/lib -name *.dylib)
Index: sm/trunk-jpl/externalpackages/boost/install-1.72-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/boost/install-1.72-mac.sh	(revision 24823)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#!/bin/bash
-#set -eu # Do not `run set -eu` because it causes some targets to fail
-
-
-## Constants
-#
-VER="1_72_0"
-
-## Environment
-#
-export BOOST_ROOT="${ISSM_DIR}/externalpackages/boost"
-
-# Download source
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/boost_${VER}.tar.gz" "boost_${VER}.tar.gz"
-
-# Unpack source
-tar -zxvf boost_${VER}.tar.gz
-
-# Cleanup
-rm -rf install src
-mkdir install src
-
-# Move source into 'src' directory
-mv boost_${VER}/* src/
-rm -rf boost_${VER}
-
-# Configure
-cd src
-./bootstrap.sh \
-	--prefix=${BOOST_ROOT}/install \
-	--with-python=python2.7
-
-# Modify project config to enable MPI
-printf "\n# Enable MPI\nusing mpi ;\n" >> project-config.jam
-
-# Compile and install
-./b2 install
-
-# Copy binary to install directory
-mkdir ${BOOST_ROOT}/install/bin
-cp bjam ${BOOST_ROOT}/install/bin
-
-# Set install_name for all shared libraries
-cd ${BOOST_ROOT}/install/lib
-for name in *.dylib; do
-	install_name_tool -id ${BOOST_ROOT}/install/lib/${name} ${name}
-done
Index: /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux-static.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux-static.sh	(revision 24824)
@@ -12,5 +12,5 @@
 export BLAS_LIBS="-L${ISSM_DIR}/externalpackages/petsc/install/lib -lfblas -L/usr/lib/x86_64-linux-gnu -lgfortran" # Need to export BLAS_LIBS *and* pass it as an option to CMake to ensure that external packages also find it
 export BOOST_ROOT=${ISSM_DIR}/externalpackages/boost/install
-export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost (absolutely necessary for this version)
+export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with MATLAB's Boost (absolutely necessary for this version)
 #export CXXFLAGS='-std=c++11'
 export DAK_BUILD=${DAK_ROOT}/build
Index: /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/dakota/install-6.2-linux.sh	(revision 24824)
@@ -12,5 +12,5 @@
 export BLAS_LIBS="-L${ISSM_DIR}/externalpackages/petsc/install/lib -lfblas -L/usr/lib/x86_64-linux-gnu -lgfortran" # Need to export BLAS_LIBS *and* pass it as an option to CMake to ensure that external packages also find it
 export BOOST_ROOT=${ISSM_DIR}/externalpackages/boost/install
-export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with Matlab's Boost (absolutely necessary for this version)
+export CXXFLAGS='-std=c++98' # Setting CXXFLAGS to deal with C++11 incompatibility with MATLAB's Boost (absolutely necessary for this version)
 #export CXXFLAGS='-std=c++11'
 export DAK_BUILD=${DAK_ROOT}/build
@@ -53,4 +53,5 @@
 	-DCMAKE_CXX_COMPILER=${MPI_HOME}/bin/mpicxx \
 	-DCMAKE_Fortran_COMPILER=${MPI_HOME}/bin/mpif77 \
+	-DBoost_NO_BOOST_CMAKE=TRUE \
 	-DHAVE_ACRO=OFF \
 	-DHAVE_JEGA=OFF \
Index: /issm/trunk-jpl/externalpackages/dakota/install-6.2-mac-static.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/dakota/install-6.2-mac-static.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/dakota/install-6.2-mac-static.sh	(revision 24824)
@@ -57,4 +57,6 @@
 	-DHAVE_ACRO=OFF \
 	-DHAVE_JEGA=OFF \
+	-DHAVE_QUESO=ON \
+	-DDAKOTA_HAVE_GSL=ON \
 	-C${DAK_SRC}/cmake/BuildDakotaCustom.cmake \
 	-C${DAK_SRC}/cmake/DakotaDev.cmake \
Index: /issm/trunk-jpl/externalpackages/dakota/install-6.2-mac.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/dakota/install-6.2-mac.sh	(revision 24823)
+++ /issm/trunk-jpl/externalpackages/dakota/install-6.2-mac.sh	(revision 24824)
@@ -15,4 +15,5 @@
 export DAK_INSTALL=${DAK_ROOT}/install
 export DAK_SRC=${DAK_ROOT}/src
+export GSL_HOME=${ISSM_DIR}/externalpackages/gsl/install
 export LAPACK_LIBS="-L${ISSM_DIR}/externalpackages/petsc/install/lib -lflapack -L/usr/local/Cellar/gcc/9.3.0/lib/gcc/9 -lgfortran" # Need to export LAPACK_LIBS *and* pass it as an option to CMake to ensure that external packages also find it
 
@@ -56,4 +57,6 @@
 	-DHAVE_ACRO=OFF \
 	-DHAVE_JEGA=OFF \
+	-DHAVE_QUESO=ON \
+	-DDAKOTA_HAVE_GSL=ON \
 	-C${DAK_SRC}/cmake/BuildDakotaCustom.cmake \
 	-C${DAK_SRC}/cmake/DakotaDev.cmake \
Index: sm/trunk-jpl/externalpackages/dakota/install-6.2-macosx64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/dakota/install-6.2-macosx64.sh	(revision 24823)
+++ 	(revision )
@@ -1,78 +1,0 @@
-#!/bin/bash
-set -eu
-
-# Constants
-DAK_VER="6.2"
-
-# Some cleanup
-rm -rf build
-rm -rf install
-rm -rf tests
-rm -rf src
-mkdir build install src
-
-# Download from ISSM server
-$ISSM_DIR/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/dakota-${DAK_VER}-public.src.tar.gz" "dakota-${DAK_VER}-public-src.tar.gz"
-
-# Untar
-tar -zxvf dakota-${DAK_VER}-public-src.tar.gz
-
-# Move Dakota to src directory
-mv dakota-${DAK_VER}.0.src/* src
-rm -rf dakota-${DAK_VER}.0.src
-
-# Set up Dakota and CMake variables
-DAK_PATH=$ISSM_DIR/externalpackages/dakota
-
-export DAK_BUILD=$DAK_PATH/build
-export DAK_INSTALL=$DAK_PATH/install
-export DAK_SRC=$DAK_PATH/src
-export MPIHOME=$ISSM_DIR/externalpackages/mpich/install
-export BOOST_ROOT=$ISSM_DIR/externalpackages/boost/install
-
-# Apply patches
-cp $DAK_SRC/cmake/BuildDakotaTemplate.cmake $DAK_SRC/cmake/BuildDakotaCustom.cmake
-patch $DAK_SRC/cmake/BuildDakotaCustom.cmake configs/$DAK_VER/BuildDakotaCustom.cmake.mac.patch
-patch $DAK_SRC/cmake/DakotaDev.cmake configs/$DAK_VER/DakotaDev.cmake.patch
-patch $DAK_SRC/cmake/InstallDarwinDylibs.cmake configs/$DAK_VER/InstallDarwinDylibs.cmake.patch
-patch $DAK_SRC/CMakeLists.txt configs/$DAK_VER/CMakeLists.txt.patch
-patch src/src/NonDSampling.cpp configs/$DAK_VER/NonDSampling.cpp.patch
-patch src/src/NonDLocalReliability.cpp configs/$DAK_VER/NonDLocalReliability.cpp.patch
-patch src/packages/pecos/src/pecos_global_defs.hpp configs/$DAK_VER/pecos_global_defs.hpp.patch
-
-# Configure and build Dakota
-cd $DAK_BUILD
-cmake \
-	-C$DAK_SRC/cmake/BuildDakotaCustom.cmake \
-	-C$DAK_SRC/cmake/DakotaDev.cmake \
-	-DBOOST_ROOT:PATHNAME=$BOOST_ROOT \
-	-DBoost_NO_BOOST_CMAKE=TRUE \
-	-DBoost_NO_SYSTEM_PATHS=TRUE \
-	-DBoost_LIBRARY_DIRS:FILEPATH=$BOOST_ROOT/lib \
-	-DCMAKE_INSTALL_PREFIX=$DAK_INSTALL \
-	-DCMAKE_C_COMPILER=$ISSM_DIR/externalpackages/mpich/install/bin/mpicc \
-	-DCMAKE_CXX_COMPILER=$ISSM_DIR/externalpackages/mpich/install/bin/mpicxx \
-	-DCMAKE_Fortran_COMPILER=$ISSM_DIR/externalpackages/mpich/install/bin/mpif77 \
-	-DCMAKE_CXX_FLAGS=-fdelayed-template-parsing \
-	-DHAVE_ACRO=off \
-	-DHAVE_JEGA=off \
-	$DAK_SRC
-
-if [ $# -eq 0 ];
-then
-	make
-	make install
-else
-	make -j $1
-	make -j $1 install
-fi
-
-# Set paths and library paths
-export PATH=$DAK_INSTALL/bin:$DAK_INSTALL/test:$PATH
-
-if [ -z ${DYLD_LIBRARY_PATH+x} ]
-then
-	export DYLD_LIBRARY_PATH=$DAK_INSTALL/lib:$DAK_INSTALL/bin
-else
-	export DYLD_LIBRARY_PATH=$DAK_INSTALL/lib:$DAK_INSTALL/bin:$DYLD_LIBRARY_PATH
-fi
Index: /issm/trunk-jpl/externalpackages/gsl/install.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/gsl/install.sh	(revision 24824)
+++ /issm/trunk-jpl/externalpackages/gsl/install.sh	(revision 24824)
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -eu
+
+
+# Constants
+#
+GSL_ROOT=${ISSM_DIR}/externalpackages/gsl
+VER="1.15"
+
+# Cleanup=
+rm -rf install src
+mkdir install src
+
+# Download source
+${ISSM_DIR}/scripts/DownloadExternalPackage.sh "https://issm.ess.uci.edu/files/externalpackages/gsl-${VER}.tar.gz" "gsl-${VER}.tar.gz"
+
+# Unpack source
+tar -zxvf gsl-${VER}.tar.gz
+
+# Move source to 'src' directory
+mv gsl-${VER}/* src
+rm -rf gsl-${VER}
+
+# Configure
+cd src
+./configure \
+	--prefix="${GSL_ROOT}/install" \
+	--disable-static
+
+# Compile and install
+if [ $# -eq 0 ]; then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
Index: /issm/trunk-jpl/jenkins/pine_island-mac-binaries-with_dakota
===================================================================
--- /issm/trunk-jpl/jenkins/pine_island-mac-binaries-with_dakota	(revision 24823)
+++ /issm/trunk-jpl/jenkins/pine_island-mac-binaries-with_dakota	(revision 24824)
@@ -29,6 +29,7 @@
 	--with-mumps-dir=${ISSM_DIR}/externalpackages/petsc/install \
 	--with-petsc-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-gsl-dir=${ISSM_DIR}/externalpackages/gsl/install \
+	--with-boost-dir=${ISSM_DIR}/externalpackages/boost/install \
 	--with-dakota-dir=${ISSM_DIR}/externalpackages/dakota/install \
-	--with-boost-dir=${ISSM_DIR}/externalpackages/boost/install \
 	--with-triangle-dir=${ISSM_DIR}/externalpackages/triangle/install \
 	--with-chaco-dir=${ISSM_DIR}/externalpackages/chaco/install \
@@ -51,5 +52,6 @@
 	cmake		install.sh
 	petsc		install-3.12-mac-static.sh
-	boost		install-1.72-mac-static.sh
+	gsl			install-static.sh
+	boost		install-1.7-mac-static.sh
 	dakota		install-6.2-mac-static.sh
 	triangle	install-mac-static.sh
Index: /issm/trunk-jpl/jenkins/pine_island-mac-dakota
===================================================================
--- /issm/trunk-jpl/jenkins/pine_island-mac-dakota	(revision 24823)
+++ /issm/trunk-jpl/jenkins/pine_island-mac-dakota	(revision 24824)
@@ -24,6 +24,7 @@
 	--with-mumps-dir=${ISSM_DIR}/externalpackages/petsc/install \
 	--with-petsc-dir=${ISSM_DIR}/externalpackages/petsc/install \
+	--with-gsl-dir=${ISSM_DIR}/externalpackages/gsl/install \
+	--with-boost-dir=${ISSM_DIR}/externalpackages/boost/install \
 	--with-dakota-dir=${ISSM_DIR}/externalpackages/dakota/install \
-	--with-boost-dir=${ISSM_DIR}/externalpackages/boost/install \
 	--with-triangle-dir=${ISSM_DIR}/externalpackages/triangle/install \
 	--with-chaco-dir=${ISSM_DIR}/externalpackages/chaco/install \
@@ -47,5 +48,6 @@
 	cmake		install.sh
 	petsc		install-3.12-mac.sh
-	boost		install-1.72-mac.sh
+	gsl			install.sh
+	boost		install-1.7-mac.sh
 	dakota		install-6.2-mac.sh
 	triangle	install-mac.sh
@@ -79,4 +81,4 @@
 # - test701 is skipped because it uses full Stokes equations
 #
-MATLAB_NROPTIONS="'exclude',[234,243,420,435,444,445,701,702,703,'id',[IdFromString('Dakota')]"
+MATLAB_NROPTIONS="'exclude',[234,243,420,435,444,445,701,702,703],'id',[IdFromString('Dakota')]"
 PYTHON_NROPTIONS="--exclude 234 243 418 420 435 444 445 701 702 703 --include_name 'Dakota'"
Index: /issm/trunk-jpl/jenkins/ross-debian_linux-binaries-with_dakota
===================================================================
--- /issm/trunk-jpl/jenkins/ross-debian_linux-binaries-with_dakota	(revision 24823)
+++ /issm/trunk-jpl/jenkins/ross-debian_linux-binaries-with_dakota	(revision 24824)
@@ -48,6 +48,6 @@
 	cmake		install.sh
 	petsc		install-3.12-linux-static.sh
-	gsl			install-linux-static.sh
-	boost		install-1.72-linux-static.sh
+	gsl			install-static.sh
+	boost		install-1.55-linux-static.sh
 	dakota		install-6.2-linux-static.sh
 	triangle	install-linux-static.sh
Index: /issm/trunk-jpl/jenkins/ross-debian_linux-codipack
===================================================================
--- /issm/trunk-jpl/jenkins/ross-debian_linux-codipack	(revision 24823)
+++ /issm/trunk-jpl/jenkins/ross-debian_linux-codipack	(revision 24824)
@@ -39,5 +39,5 @@
 	cmake		install.sh
 	petsc		install-3.12-linux.sh
-	gsl			install-linux.sh
+	gsl			install.sh
 	triangle	install-linux.sh
 	chaco		install.sh
Index: /issm/trunk-jpl/jenkins/ross-debian_linux-dakota
===================================================================
--- /issm/trunk-jpl/jenkins/ross-debian_linux-dakota	(revision 24823)
+++ /issm/trunk-jpl/jenkins/ross-debian_linux-dakota	(revision 24824)
@@ -40,5 +40,5 @@
 	cmake		install.sh
 	petsc		install-3.12-linux.sh
-	gsl			install-linux.sh
+	gsl			install.sh
 	boost		install-1.55-linux.sh
 	dakota		install-6.2-linux.sh
Index: /issm/trunk-jpl/m4/issm_options.m4
===================================================================
--- /issm/trunk-jpl/m4/issm_options.m4	(revision 24823)
+++ /issm/trunk-jpl/m4/issm_options.m4	(revision 24824)
@@ -537,6 +537,10 @@
 
 		dnl NOTE:
-		dnl - See $ISSM_DIR/dakota/build/src/Makefile.export.Dakota for the
-		dnl	  flags needed by your combination of Boost and Dakota versions
+		dnl - See,
+		dnl
+		dnl 	$ISSM_DIR/externalpackages/dakota/build/src/Makefile.export.Dakota
+		dnl
+		dnl   for the flags needed by your combination of Boost and Dakota
+		dnl   versions
 		dnl - We know $DAKOTA_ROOT cannot be empty at this point, so no need to
 		dnl   check again in the following conditionals
@@ -568,12 +572,8 @@
 				elif test "${DAKOTA_VERSION}" == "6.1" || test "${DAKOTA_VERSION}" == "6.2"; then
 					if test "${BOOST_VERSION_MAJOR}" == "1"; then
-						if test "${BOOST_VERSION_MINOR}" == "55"; then
-							DAKOTAFLAGS="-DDISABLE_DAKOTA_CONFIG_H -DBOOST_MULTI_INDEX_DISABLE_SERIALIZATION -DDAKOTA_PLUGIN -DBOOST_DISABLE_ASSERTS -DDAKOTA_HAVE_BOOST_FS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DDAKOTA_UTILIB -DHAVE_ADAPTIVE_SAMPLING -DHAVE_CONMIN -DDAKOTA_DDACE -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
-							DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldream -lfsudace -lddace -lnomad -lpecos_src -llhs -llhs_mods -loptpp -lsurfpack -lconmin -ldakota_src_fortran -llhs_mod -lncsuopt -lsurfpack_fortran -lteuchos -lamplsolver -lcport -ldfftpack -lfsudace -lhopspack -lnidr -lpecos -lpsuade -lsparsegrid -L${BOOST_ROOT}/lib -lboost_serialization -lboost_signals -lboost_regex -lboost_filesystem -lboost_system ${BLASLAPACKLIB}"
-						elif test "${BOOST_VERSION_MINOR}" = "72"; then
-							DAKOTAFLAGS="-DHAVE_CONFIG_H -DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
-							dnl See $ISSM_DIR/dakota/build/src/Makefile.export.Dakota -> Dakota_LIBRARIES
-							DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system ${BLASLAPACKLIB}"
-						fi
+						DAKOTAFLAGS="-DHAVE_CONFIG_H -DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_QUESO -DHAVE_QUESO_GPMSA -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
+						DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lqueso -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver"
+						DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system"
+						DAKOTALIB+=" ${BLASLAPACKLIB}"
 					fi
 					AC_DEFINE([DISABLE_DAKOTA_CONFIG_H], [1], [disabling DAKOTA_CONFIG_H])
@@ -607,9 +607,5 @@
 						DAKOTAFLAGS="-DHAVE_CONFIG_H -DHAVE_CONFIG_H -DDISABLE_DAKOTA_CONFIG_H -DBOOST_DISABLE_ASSERTS -DHAVE_UNISTD_H -DHAVE_SYSTEM -DHAVE_WORKING_FORK -DHAVE_WORKING_VFORK -DHAVE_SYS_WAIT_H -DHAVE_USLEEP -DDAKOTA_F90 -DDAKOTA_HAVE_MPI -DHAVE_PECOS -DHAVE_SURFPACK -DHAVE_ADAPTIVE_SAMPLING -DHAVE_ESM -DHAVE_QUESO -DHAVE_QUESO_GPMSA -DHAVE_CONMIN -DHAVE_DDACE -DHAVE_DREAM -DHAVE_FSUDACE -DDAKOTA_HOPS -DHAVE_NCSU -DHAVE_NL2SOL -DHAVE_NOMAD -DHAVE_OPTPP -DDAKOTA_OPTPP -DHAVE_PSUADE -DHAVE_AMPL"
 						DAKOTALIB="-L${DAKOTA_ROOT}/lib -ldakota_src -ldakota_src_fortran -lnidr -lteuchos -lpecos -lpecos_src -llhs -llhs_mods -llhs_mod -ldfftpack -lsparsegrid -lsurfpack -lsurfpack -lsurfpack_fortran -lqueso -lconmin -lddace -ldream -lfsudace -lhopspack -lncsuopt -lcport -lnomad -loptpp -lpsuade -lamplsolver"
-						if test "${BOOST_VERSION_MINOR}" == "55"; then
-							DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_serialization -lboost_signals -lboost_regex -lboost_filesystem -lboost_system ${BLASLAPACKLIB}"
-						elif test "${BOOST_VERSION_MINOR}" = "72"; then
-							DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system"
-						fi
+						DAKOTALIB+=" -L${BOOST_ROOT}/lib -lboost_filesystem -lboost_program_options -lboost_regex -lboost_serialization -lboost_system"
 						DAKOTALIB+=" ${BLASLAPACKLIB}"
 					fi
